Urgent! Site certificate

This forum site won’t work with chrome version 70. It uses distrusted certificate. https://security.googleblog.com/2018/03/distrust-of-symantec-pki-immediate.html
Firefox also is going to stop trusting those.

1 Like

@lixiaodong Please take a look at the issue.

Please fix this as son as possible

As you said,the certificate we had used were supported by “GeoTrust”.It will not work on chrome version 70.
We are working on change the certificate,and will change the vendor to “Global Sign” this week.
Thank you and @jordi for your suggestion.

1 Like

It’s working now. Thanks

Yeah, we change the certificate to “Global Sign”,and it cost much but works.:joy:

1 Like